package de.intevation.flys.importer;

import java.math.BigDecimal;

public class ValueKey
{
    protected BigDecimal a;
    protected BigDecimal b;

    public ValueKey() {
    }

    public ValueKey(BigDecimal a, BigDecimal b) {
        this.a = a;
        this.b = b;
    }

    @Override
    public int hashCode() {
        return ((a != null ? a.hashCode() : 0) << 16)
              | (b != null ? b.hashCode() : 0);
    }

    @Override
    public boolean equals(Object other) {
        if (!(other instanceof ValueKey)) {
            return false;
        }
        ValueKey o = (ValueKey)other;
        return !(
               (a == null && o.a != null) 
            || (a != null && o.a == null) 
            || (a != null && !a.equals(o.a)) 
            || (b == null && o.b != null) 
            || (b != null && o.b == null)
            || (b != null && !b.equals(o.b)));
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
